<xsl:stylesheet version = '1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>
<xsl:output encoding="UTF-8"/>

<xsl:template match="person">
<xsl:value-of select="."/>
</xsl:template>

<xsl:template match="authors">
<xsl:for-each select="person">
<xsl:value-of select="."/>
<xsl:if test="position()!=last()">
<xsl:text>, </xsl:text>
</xsl:if>
<xsl:if test="position()=last()-1">
<xsl:text> and </xsl:text>
</xsl:if>
</xsl:for-each>:
</xsl:template>

<xsl:template match="title">
<b><xsl:value-of select="."/>,</b>
</xsl:template>

<xsl:template match="journal">
<i><xsl:value-of select="."/>,</i>
</xsl:template>

<xsl:template match="pages">
<xsl:value-of select="."/>,
</xsl:template>

<xsl:template match="year">
<xsl:value-of select="."/>
</xsl:template>

<xsl:template match="abstract">
<b>Abstract</b> <xsl:value-of select="."/>
</xsl:template>

<xsl:template match="entry">
<p>
<xsl:apply-templates select="authors" />
<xsl:apply-templates select="title" />
<xsl:apply-templates select="journal" />
<xsl:apply-templates select="pages" />
<xsl:apply-templates select="year" />
<br/>
<xsl:apply-templates select="abstract" />
</p>
</xsl:template>

<xsl:template match="bibliography">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<title>Bibliography</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
</head>
<body>
<xsl:apply-templates select="entry" />
</body>
</html>
</xsl:template>

</xsl:stylesheet>
